shm_get_var
shm_put_var
Semaphore Functions
PHP Manual

# shm_has_var

(PHP 5 >= 5.3.0)

shm_has_var — Check whether a specific entry exists

### Description

bool shm_has_var ( resource `$shm_identifier` , int `$variable_key` )

Checks whether a specific key exists inside a shared memory segment.

### Parameters

`shm_identifier`

  Shared memory segment, obtained from shm_attach().

`variable_key`

  The variable key.

### Return Values

Returns `TRUE` if the entry exists, otherwise `FALSE`

### See Also

- shm_get_var() - Returns a variable from shared memory
- shm_put_var() - Inserts or updates a variable in shared memory

shm_get_var
shm_put_var
Semaphore Functions
PHP Manual